Subject: exit code 9

From: "笑红尘" <[email-masked]>
Date: Tue, 31 Aug 2021 10:32:10 +0800

Hi, I'm having a problem in development. I was able to work with libtool on macOS11, but when I upgraded to macOS12.0, my project encountered an error, Information is a Command/Applications/Xcode. The app/Contents/Developer/Toolchains/XcodeDefault xctoolchain/usr/bin/libtool failed with The exit code 9. I can confirm that my project will not report this error before, my Xcode version is 10.0.
There is also a strange phenomenon that I have multiple projects in my project, but I have the project that reported the error separately compiled successfully.

I look forward to your reply. Thank you

This problem has occurred on several projects. Here are the specific errors

Libtool /Users/geniatech/project/Output/***.a normal x86_64
&nbsp; &nbsp; cd /Users/geniatech/project/MediaServer/***
&nbsp; &nbsp; export MACOSX_DEPLOYMENT_TARGET=10.9
&nbsp; &nbsp; /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/libtool -static -arch_only x86_64 -syslibroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -L/Users/geniatech/project/Output -L/Users/geniatech/project/MediaServer/***/../../Lib/darwinports/lib -filelist /Users/geniatech/project/Output/XcodeBuild/***.build/Objects-normal/x86_64/***.LinkFileList -framework CoreServices -o /Users/geniatech/project/Output/***.a

Showing Recent Messages
Command /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/libtool failed with exit code 9